socket_tcp6b(3)

NAME
socket_tcp6b - create a blocking IPv6 TCP/IP stream socket

SYNTAX
#include <libowfat/socket.h>

int socket_tcp6b();

DESCRIPTION
socket_tcp6b creates a blocking IPv6 TCP/IP stream socket and returns a file descriptor pointing to that socket. If something goes wrong, socket_tcp6b returns -1, setting errno appropriately, without allocating any resources.

EXAMPLE
  #include <libowfat/socket.h>

  int s;
  char ip[16];
  uint16 p;

  s = socket_tcp6b();
  socket_bind6(s,ip,p);
  socket_connect6(s,ip,p,0);

SEE ALSO
socket_tcp6(3), socket_bind4(3), socket_bind6(3)